Bug 1520585 - Review Request: perl-Test-SQL-Data - Helps running SQL tests: database preparing and result matching
Summary: Review Request: perl-Test-SQL-Data - Helps running SQL tests: database prepar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 19:00 UTC by Robert-André Mauchin 🐧
Modified: 2018-02-27 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 20:39:37 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-12-04 19:00:51 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/749fc2d/perl-Test-SQL-Data.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/ravada/fedora-rawhide-x86_64/00684015-perl-Test-SQL-Data/perl-Test-SQL-Data-0.0.6-1.fc28.noarch.rpm

Description:
The purpose of Test::SQL::Data is to give your module a clean database to
work with. When the module loads it prepares the database. You can have it
empty or pre-load some SQL code before running your tests. Then you can use
the module again to check if your expected results match the contents of
the tables of the database.

Fedora Account System Username: eclipseo

Comment 2 Jitka Plesnikova 2017-12-06 13:38:21 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

BuildRequires
FIX: Please add missing buildrequires:
 - make - used in spec
 - perl(Carp) - lib/Test/SQL/Data.pm:16
 - perl(File::Path) - lib/Test/SQL/Data.pm:17
 - perl(strict) - Makefile.PL:2
 - perl(version) - lib/Test/SQL/Data.pm:7
 - perl(warnings) - Makefile.PL:3

$ rpm -qp --requires perl-Test-SQL-Data-0.0.6-1.fc28.noarch.rpm | sort | uniq -c
      1 perl(Carp)
      1 perl(File::Path)
      1 perl(:MODULE_COMPAT_5.26.1)
      1 perl(strict)
      1 perl(Test::More)
      1 perl(version)
      1 perl(warnings)
      1 perl(YAML)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: To use this module, you need to add to run-requires
 - perl(DBIx::Connector) >= 0.4.5
 - perl(DBD::SQLite) >= 1.20

$ rpm -qp --provides perl-Test-SQL-Data-0.0.6-1.fc28.noarch.rpm | sort | uniq -c
      1 perl(Test::SQL::Data) = 0.0.6
      1 perl-Test-SQL-Data = 0.0.6-1.fc28
Binary provides are Ok.

$ rpmlint ./perl-Test-SQL-Data*
perl-Test-SQL-Data.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
perl-Test-SQL-Data.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok

TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.

Please correct all 'FIX' issues and consider fixing 'TODO' items and
provide new spec file.

Package is not approved.

Comment 4 Jitka Plesnikova 2017-12-07 08:11:43 UTC
> BuildRequires
> FIX: Please add missing buildrequires:
>  - make - used in spec
>  - perl(Carp) - lib/Test/SQL/Data.pm:16
>  - perl(File::Path) - lib/Test/SQL/Data.pm:17
>  - perl(strict) - Makefile.PL:2
>  - perl(version) - lib/Test/SQL/Data.pm:7
>  - perl(warnings) - Makefile.PL:3
Ok.
 
> $ rpm -qp --requires perl-Test-SQL-Data-0.0.6-1.fc28.noarch.rpm | sort |
> uniq -c
>       1 perl(Carp)
>       1 perl(File::Path)
>       1 perl(:MODULE_COMPAT_5.26.1)
>       1 perl(strict)
>       1 perl(Test::More)
>       1 perl(version)
>       1 perl(warnings)
>       1 perl(YAML)
>       1 rpmlib(CompressedFileNames) <= 3.0.4-1
>       1 rpmlib(FileDigests) <= 4.6.0-1
>       1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
>       1 rpmlib(PayloadIsXz) <= 5.2-1
> FIX: To use this module, you need to add to run-requires
>  - perl(DBIx::Connector) >= 0.4.5
>  - perl(DBD::SQLite) >= 1.20
Not not fixed.

> TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.
No change.
 
Please correct all 'FIX' issues and consider fixing 'TODO' items and
provide new spec file.
 
Package is not approved.

Comment 6 Jitka Plesnikova 2017-12-07 09:18:11 UTC
(In reply to Jitka Plesnikova from comment #4)
> > BuildRequires
> > FIX: Please add missing buildrequires:
> >  - make - used in spec
> >  - perl(Carp) - lib/Test/SQL/Data.pm:16
> >  - perl(File::Path) - lib/Test/SQL/Data.pm:17
> >  - perl(strict) - Makefile.PL:2
> >  - perl(version) - lib/Test/SQL/Data.pm:7
> >  - perl(warnings) - Makefile.PL:3
> Ok.
>  
> > $ rpm -qp --requires perl-Test-SQL-Data-0.0.6-1.fc28.noarch.rpm | sort |
> > uniq -c
> >       1 perl(Carp)
> >       1 perl(File::Path)
> >       1 perl(:MODULE_COMPAT_5.26.1)
> >       1 perl(strict)
> >       1 perl(Test::More)
> >       1 perl(version)
> >       1 perl(warnings)
> >       1 perl(YAML)
> >       1 rpmlib(CompressedFileNames) <= 3.0.4-1
> >       1 rpmlib(FileDigests) <= 4.6.0-1
> >       1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> >       1 rpmlib(PayloadIsXz) <= 5.2-1
> > FIX: To use this module, you need to add to run-requires
> >  - perl(DBIx::Connector) >= 0.4.5
> >  - perl(DBD::SQLite) >= 1.20
Ok.
 
> > TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.
Ok.

Package looks good.
Approved.

Comment 7 Gwyn Ciesla 2017-12-07 14:01:12 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Test-SQL-Data. You may commit to the branch "f27" in about 10 minutes.

Comment 8 Fedora Update System 2017-12-08 12:18:01 UTC
perl-Test-SQL-Data-0.0.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eefda41e3a

Comment 9 Fedora Update System 2017-12-08 12:29:26 UTC
perl-Test-SQL-Data-0.0.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-98362ea2d0

Comment 10 Fedora Update System 2017-12-09 07:28:45 UTC
perl-Test-SQL-Data-0.0.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-98362ea2d0

Comment 11 Fedora Update System 2017-12-10 00:33:18 UTC
perl-Test-SQL-Data-0.0.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eefda41e3a

Comment 12 Fedora Update System 2017-12-19 19:47:36 UTC
perl-Test-SQL-Data-0.0.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-12-19 21:34:55 UTC
perl-Test-SQL-Data-0.0.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-08 00:17:16 UTC
perl-Test-SQL-Data-0.0.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-483d50018f

Comment 15 Fedora Update System 2018-02-08 08:42:21 UTC
perl-Test-SQL-Data-0.0.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-483d50018f

Comment 16 Fedora Update System 2018-02-27 20:39:37 UTC
perl-Test-SQL-Data-0.0.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.